import uniqueId from '@form-create/utils/lib/unique';
import {localeProps} from '../../utils';

const label = '子表单选择器';
const name = 'fcDataSelect';

export default {
    menu: 'main',
    icon: 'icon-data-select',
    label,
    name,
    drag: true,
    input: true,
    mask: false,
    subForm: 'scope',
    slot: [
        {name: 'search', type: 'fcInlineForm'},
        {name: 'table', type: 'dataTable'},
    ],
    event: ['change', 'clear'],
    validate: ['object', 'array'],
    parseRule(rule) {
        rule.children.forEach((item) => {
            if (item.slot === 'search') {
                delete item.slot;
                rule.props.searchRule = item;
            } else if (item.slot === 'table') {
                delete item.slot;
                rule.props.tableRule = item;
            }
        })
        delete rule.children;
    },
    loadRule(rule) {
        rule.children = [
            rule.props.searchRule,
            rule.props.tableRule,
        ]
        rule.children[0].slot = 'search';
        rule.children[1].slot = 'table';
        delete rule.props.searchRule;
        delete rule.props.tableRule;
    },
    rule({t}) {
        return {
            type: 'fcDataSelect',
            field: uniqueId(),
            title: t('com.fcDataSelect.name'),
            info: '',
            $required: false,
            props: {
                title: t('com.select.title'),
                labelKey: 'name',
                valueKey: 'name',
            }
        };
    },
    props(_, {t}) {
        return localeProps(t, 'select.props', [
            {type: 'input', field: 'title'},
            {type: 'input', field: 'labelKey', value: 'label'},
            {type: 'input', field: 'valueKey', value: 'value'},
            {type: 'switch', field: 'autoLoad'},
            {type: 'switch', field: 'multiple'}, {
                type: 'switch',
                field: 'disabled'
            }, {type: 'switch', field: 'clearable'}, {
                type: 'inputNumber',
                field: 'multipleLimit',
                props: {min: 0}
            }, {type: 'input', field: 'placeholder'}]);
    }
};
