import {localeProps} from '../../utils';

const name = 'tableFormColumn2';

export default {
    icon: 'icon-cell',
    name,
    aide: true,
    drag: true,
    dragBtn: false,
    mask: false,
    style: false,
    advanced: false,
    variable: false,
    children: 'tableFormColumn2',
    childrenLen: 0,
    checkDrag({toRule}) {
        return !(toRule.children[0].children.length > 0 && toRule.children[0].children.some((item) => item._config.name === 'tableFormColumn2'));
    },
    rule({t}) {
        return {
            type: name,
            props: {
                label: t('com.tableFormColumn.label'),
                width: 'auto'
            },
            children: []
        };
    },
    props(_, {t}) {
        return localeProps(t, 'tableFormColumn.props', [
            {
                type: 'input',
                field: 'label',
            },
            {
                type: 'select',
                field: 'fixed',
                options: [false, 'left', 'right'].map(v => {
                    return {label: t('com.dataTable.fixed.' + (v || 'default')), value: v};
                })
            },
            {
                type: 'switch',
                field: 'required',
            },
            {
                type: 'switch',
                field: 'hidden',
            },
            {
                type: 'input',
                field: 'width',
            },
            {
                type: 'ColorInput',
                field: 'color',
            }
        ]);
    }
};
